This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1308945 - Installation fails in Windows 10 Setup
Installation fails in Windows 10 Setup
Status: CLOSED NOTABUG
Product: Virtualization Tools
Classification: Community
Component: virtio-win (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Amnon Ilan
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 09:23 EST by m.prechtl97
Modified: 2016-02-17 12:36 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 12:36:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot from cmd (527.99 KB, image/png)
2016-02-16 19:41 EST, m.prechtl97
no flags Details

  None (edit)
Description m.prechtl97 2016-02-16 09:23:58 EST
Description of problem:
I'm running Windows 10 as guest via KVM / qemu. Unfortunately, Windows doesn't recognize the fedora [virtio drivers][1] I want to install for better HDD perfomance. The driver itself does show up, but installing it fails:

[Qemu screenshot][2] - "No new device drivers found"

I tried several driver versions, namely `0.1.102`, `0.1.110` and `0.1.112`, all for amd64.

Commandline options:

    sudo qemu-system-x86_64 \
    -device virtio-scsi-pci \
    -drive if=none,id=hd,file=win.img,format=raw -device scsi-hd,drive=hd \
    --enable-kvm \
    -cdrom Win10_1511_German_x64.iso \
    -m 4048 \
    -drive file=$HOME/VirtualMachines/virtio-win-0.1.112.iso,id=driveriso,if=none,format=raw \
    -device ide-cd,bus=ide.1,drive=driveriso \
    -cpu host,kvm=off

What could cause Win 10 to reject those drivers? Are there other drivers for fast HDD access from the Guest OS?

Host OS:

- CPU: i7-6700k
- OS: Ubuntu 15.10
- uname -r: 4.3.4-040304-generic
- uname -m: x86_64
- qemu-system-x86_64 --version: QEMU emulator version 2.3.0 (Debian 1:2.3+dfsg-5ubuntu9.2)


  [1]: https://fedoraproject.org/wiki/Windows_Virtio_Drivers#Direct_download
  [2]: http://i.stack.imgur.com/DxIyB.png

Note, i already posted on stackexchange/serverfault. I decided to file a bug report because there hasn't been any response to it in a week and my researches tend to state that this bug is rather unique on my system.


How reproducible:
Everytime i get to boot up the Win10 Installer and get asked to install additional drivers for disk access.
Comment 2 m.prechtl97 2016-02-16 19:41 EST
Created attachment 1127768 [details]
Screenshot from cmd

Event Log from driver installation
Comment 4 m.prechtl97 2016-02-16 20:45:14 EST
What kind of information do you need? Some specific Event Logs or more details on the failure itself?

Windows recognizes the drivers insofar that it proposes them to install. While installing, it fails after a couple of seconds with error message shown in the screenshots from the first post - no new device drivers found. Thats more or less what the driver event log states, but there are still no drives shown up to install upon.
What comes into my mind is that there might still be issues about the drivesetup, but i tried several generic configurations which used the drivers, but all setups have this issue on my system.
Comment 5 Vadim Rozenfeld 2016-02-16 21:54:23 EST
(In reply to m.prechtl97 from comment #4)
> What kind of information do you need? Some specific Event Logs or more
> details on the failure itself?
> 
> Windows recognizes the drivers insofar that it proposes them to install.
> While installing, it fails after a couple of seconds with error message
> shown in the screenshots from the first post - no new device drivers found.
> Thats more or less what the driver event log states, but there are still no
> drives shown up to install upon.
> What comes into my mind is that there might still be issues about the
> drivesetup, but i tried several generic configurations which used the
> drivers, but all setups have this issue on my system.

Let me double-check that I understand your case correctly:

- you are doing a fresh Win10 install with the following qemu command line
    sudo qemu-system-x86_64 \
    -device virtio-scsi-pci \
    -drive if=none,id=hd,file=win.img,format=raw -device scsi-hd,drive=hd \
    --enable-kvm \
    -cdrom Win10_1511_German_x64.iso \
    -m 4048 \
    -drive file=$HOME/VirtualMachines/virtio-win-0.1.112.iso,id=driveriso,if=none,format=raw \
    -device ide-cd,bus=ide.1,drive=driveriso \
    -cpu host,kvm=off

- the windows installer did recognise virtio-pci-scsi device and asked for the
driver

- after pointing to the location where vioscsi.sys driver located, Windows fails to load this driver.

As far as I can tell you looking into setupapi.dev.log, there were no problems
installing vioscsi driver.

Sorry I just don't fully understand the problem you're facing.

Thanks,
Vadim Rozenfeld.
Comment 6 Yu Wang 2016-02-17 03:00:30 EST
QE have tried w/ virtio scsi device in our setup, install driver successfully without any error

cli:

/usr/libexec/qemu-kvm -name win7-32 -enable-kvm -m 3G -smp 2 -uuid ae361e8d-28a4-4e70-8783-bda0d450ce35 -nodefconfig --nodefaults -chardev socket,id=charmonitor,path=/tmp/win7-32,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=dc,menu=on -drive file=/home/102-vioscsi-win10-64-function/en_windows_10_enterprise_x64_dvd_6851151.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=1,drive=drive-ide0-1-0,id=ide0-1-0 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -vnc 0.0.0.0:0 -vga cirrus -monitor stdio -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=00:52:5a:30:2e:58,bus=pci.0,addr=0x3 -qmp tcp:0:4444,server,nowait -cdrom /usr/share/virtio-win/virtio-win.iso -device virtio-scsi-pci -drive if=none,id=hd,file=win.img,format=raw -device scsi-hd,drive=hd

version:
virtio-win-0.1.102 and virtio-win-0.1.112
kernel-3.10.0-327.el7.x86_64
qemu-kvm-rhev-2.3.0-31.el7.x86_64(QEMU 2.3.0)

Additional info:
1 our guest OS iso is "en_windows_10_enterprise_x64_dvd_6851151.iso"
*Not* "Win10_1511_German_x64.iso", what is the version of your iso? It seems a little strange for us.


Thanks
wyu
Comment 7 m.prechtl97 2016-02-17 12:36:56 EST
Thanks a lot for your efforts!

I rechecked the ISOs on your hint:

It appears that the customer version iso i got was Windows 10 Home, which i can't get to work with the drivers. But Win10 Pro and Enterprise don't have the issue, installation is now straight forward without any warnings or errors. Disks are now getting recognized.
Issue might therefore be related to Microsoft and not to RedHat, but i will do further investigations as the driver systems shouldn't differ between Windows versions.

Thanks

Matthias

Note You need to log in before you can comment on or make changes to this bug.